directory: ~/mus
library: ~/mus/beets.db
asciify_paths: yes

import:
  log: ~/.log/beets/import.log
  # imported directories are recorded and these are skipped on later imports
  incremental: yes
  # record skipped directories in the incremental list
  incremental_skip_later: yes
  # move files into the library directory when using beet import
  move: yes
  # ask for confirmation on every autotagging match
  timid: yes

musicbrainz:
  searchlimit: 10

# yes: set to release date of “release group”
# no:  …                   of “release”
original_date: yes

# provided by plugin “rewrite”
rewrite:
  'artist ^!!!$':         'Chk Chk Chk'
  'album ^★$':            'Blackstar'
  'title ^★$':            'Blackstar'

replace:
  '[#"()\[\]<>:\*\|{}\\!\?ʻ`]': _
  "'":             _
  '[\\/]':         _
  '[\.,;]':        _
  '[\x00-\x1f]':   _
  'Samson & Gert': 'Samson_en_Gert'
  '\$':            'S'
  '&':             '_and_'
  '\+':            '_plus_'
  '\s+':           _
  '[-_]+':         _
  '^[-_](?!$)':    ''
  '(?<!^)[-_]$':   ''
  '^_*$':          'Untitled'

# first (non-pregap) track on each disc always has track number 1
per_disc_numbering: yes
# provided by plugin “inline”
item_fields:
  multidisc: disctotal > 1

paths:
  default:   %the{$albumartist}/%the{$album}%aunique{}/%if{$multidisc,${disc}_}_${track}_-_$title
  singleton: %the{$artist}/etc/$title
  comp:      various_artists/%the{$album}%aunique{}/%if{$multidisc,${disc}_}_${track}_-_$title

va_name: various artists

languages: ["nl", "en"]
bell: yes

plugins:
  #- acousticbrainz
  - badfiles
  - edit
  - fetchart
  - fromfilename
  - fuzzy
  - info
  - inline
  #- lastgenre
  - lyrics
  - mbsubmit
  - mbsync
  - mpdupdate
  - permissions
  - play
  #- replaygain
  - rewrite
  - scrub
  - the
  - types

# acousticbrainz:

badfiles:
  commands:
    ogg: oggz-validate
    opus: opusinfo

edit:
  itemfields: track disc title artist album mb_trackid
  albumfields: album albumartist disctotal year country mb_albumid

fetchart:
  maxwidth: 500
  enforce_ratio: 25%
  sources: filesystem coverart albumart wikipedia

# fromfilename:

fuzzy:
  prefix: ':'

# info:
# inline:

lastgenre:
  source: track

# lyrics:

mbsubmit:
  threshold: strong

# mbsync:

mpd:
  host: localhost
  port: 6600

permissions:
  file: 644
  dir: 755

play:
  command: mpv --vid=no --shuffle

the:
  strip: yes
  # this string is split on spaces so we use the escape sequence
  patterns: '^(de|het|een|une?|les?|la|der|die|das)\x20'

types:
  rating: float

# vim: set ft=yaml et sw=2 ts=2 :
